Device tag

Get all tags by device UUID

get

Device tag Resource Fields

Field

id

device

tag_key

value


GET /v7/device_tag

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get
/v7/device_tag

Create a new device tag

post

POST /v7/device_tag

Request Body:

{
    "device": <DEVICE ID>,
    "tag_key": <KEY>,
    "value": <VALUE>
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptional
post
/v7/device_tag

Update a device tag

patch

PATCH /v7/device_tag(device=<DEVICE_ID>,tag_key='<EXISTING-KEY>')

Request Body:

{
    "value": <NEW-VALUE>
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
DEVICE_IDanyRequired
EXISTING-KEYanyRequired
Body
objectOptional
patch
/v7/device_tag(device={DEVICE_ID},tag_key='{EXISTING-KEY}')

Delete a device tag given its database ID

delete

DELETE /v7/device_tag(<TAG-ID>)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
TAG-IDanyRequired
delete
/v7/device_tag({TAG-ID})

Last updated

Was this helpful?